Plank.DockPreferences – plank Reference Manual

# DockPreferences

## Object Hierarchy:

## Description:

public class DockPreferences : Settings

Contains all preferences for docks.

Namespace: Plank
Package: plank

## Content:

### Constants:

- public const int MIN_ICON_SIZE
- public const int MAX_ICON_SIZE
- public const int MIN_ICON_ZOOM
- public const int MAX_ICON_ZOOM

### Properties:

- public bool CurrentWorkspaceOnly { set; get; }
- public int IconSize { set; get; }
- public HideType HideMode { set; get; }
- public uint UnhideDelay { set; get; }
- public uint HideDelay { set; get; }
- public string Monitor { set; get; }
- public string[] DockItems { set; get; }
- public PositionType Position { set; get; }
- public int Offset { set; get; }
- public string Theme { set; get; }
- public Align Alignment { set; get; }
- public Align ItemsAlignment { set; get; }
- public bool LockItems { set; get; }
- public bool PressureReveal { set; get; }
- public bool PinnedOnly { set; get; }
- public bool AutoPinning { set; get; }
- public bool ShowDockItem { set; get; }
- public bool ZoomEnabled { set; get; }
- public uint ZoomPercent { set; get; }
- public bool TooltipsEnabled { set; get; }

### Creation methods:

- public DockPreferences (string name)

### Methods:

- public void increase_icon_size ()
  Increases the IconSize, if it is not already at its max.
- public void decrease_icon_size ()
  Decreases the IconSize, if it is not already at its min.
- public bool is_horizontal_dock ()
  Return whether or not a dock is a horizontal dock.
- protected override void verify (string prop)
  Verify the property given by its name and change the property if necessary.

### Inherited Members:

All known members inherited from class Plank.Settings

- settings
- bind_flags

- verify
- reset_all

- delay
- apply

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count